<div class="card">
  <h4 class="card-header">Login</h4>
  <div class="card-body">
    <form [formGroup]="form" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="pseudonym">Pseudonym</label>
        <input type="text" id="pseudonym" formControlName="pseudonym" class="form-control"
               [ngClass]="{ 'is-invalid': submitted && form.controls.pseudonym.errors }"/>
        <div *ngIf="submitted && form.controls.pseudonym.errors" class="invalid-feedback">
          <div *ngIf="form.controls.pseudonym.errors.required">Pseudonym is required</div>
        </div>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password" id="password" formControlName="password" class="form-control"
               [ngClass]="{ 'is-invalid': submitted && form.controls.password.errors }"/>
        <div *ngIf="submitted && form.controls.password.errors" class="invalid-feedback">
          <div *ngIf="form.controls.password.errors.required">Password is required</div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-primary">
          Login
        </button>
      </div>
    </form>
  </div>
</div>
